JAVA_XMX=${WAARP_XMX:-}
JAVA_XMS=${WAARP_XMS:-}

JAVA_HOME=${JAVA_HOME:-$(readlink -f "$(dirname "$(readlink -f "$(which java)")")/..")}
JAVA_OPTS1="-server"
JAVA_OPTS2="-Xms${JAVA_XMS} -Xmx${JAVA_XMX}"
JAVA_RUN="${JAVA_HOME}/bin/java"

PATH=${JAVA_HOME}/bin:$PATH

#find first instance
if [[ -z $R66_INST ]]; then
    for inst in $(ls etc/conf.d); do
        if [[ -e "etc/conf.d/$inst/$R66_TYPE.xml" ]]; then
            R66_INST=$inst
            break
        fi
    done
else
    if [[ ! -e "etc/conf.d/$R66_INST/$R66_TYPE.xml" ]]; then
        echo "L'instance Waarp Gateway FTP $R66_INST n'existe pas"
        exit 2
    fi
fi

CONFDIR=${CONFDIR:-etc/conf.d/$R66_INST}
FTPPIDFILE=data/$R66_INST/log/gwftp.pid

LOGGWFTP=" -Dlogback.configurationFile=${CONFDIR}/logback-gwftp.xml "

FTP_CLASSPATH="share/lib/WaarpGatewayFtp-3.5.0.jar:share/lib/*"

JAVARUNFTPSERVER="${JAVA_RUN} ${JAVA_OPTS1} ${JAVA_OPTS2} -cp ${FTP_CLASSPATH} ${LOGGWFTP} "